const nock = require('nock')
const octokit14 = require('@octokit/rest@14.0.9')()
const octokit15 = require('@octokit/rest@15.1.7')()

nock.disableNetConnect()
nock('https://api.github.com')
  .get('/orgs/octokit/repos?type=public')
  .reply(200, [], {
    Link: '<https://api.github.com/orgs/octokit/repos?type=public&page=2>; rel="next"'
  })
  .get('/orgs/octokit/repos?type=public&page=2')
  .reply(403, {})
  .persist()

console.log('testin octokit v14')
try {
  const response = await octokit14.repos.getForOrg({
    org: 'octokit',
    type: 'public',
  })
  var { data } = response;
  while (octokit14.hasNextPage(response)) {
    response = await octokit14.getNextPage(response)
    data = data.concat(response.data)
  }
} catch (error) {
  console.log(`${error.name}: ${error.code}`);
  if (error.code) {
    console.log(`error.headers: ${JSON.stringify(error.headers)}`);
  }
}

console.log('testin octokit v15')
try {
  const response = await octokit15.repos.getForOrg({
    org: 'octokit',
    type: 'public',
  })
  var { data } = response;
  while (octokit15.hasNextPage(response)) {
    response = await octokit15.getNextPage(response)
    data = data.concat(response.data)
  }
} catch (error) {
  console.log(`${error.name}: ${error.code}`);
  if (error.code) {
    console.log(`error.headers: ${JSON.stringify(error.headers)}`);
  }
};